Loading...
Searching...
No Matches
trivial Interface Reference
Utility » Concept

A type that satisfies seqan3::trivially_copyable and seqan3::trivially_destructible. More...

`#include <seqan3/utility/concept.hpp>`

Inheritance diagram for trivial:
[legend]

## Detailed Description

A type that satisfies seqan3::trivially_copyable and seqan3::trivially_destructible.

See also
  https://en.cppreference.com/w/cpp/types/is_trivial

This entity is not part of the SeqAn API. Do not rely on it in your applications.

The documentation for this interface was generated from the following file:

- utility/concept.hpp

Hide me